Bug 61905 - Maintainer update: mail/dovecot
Summary: Maintainer update: mail/dovecot
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sergei Kolobov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-25 21:00 UTC by Robin Breathe
Modified: 2004-02-01 16:01 UTC (History)
1 user (show)

See Also:


Attachments
dovecot-0.99.10.4_2.diff (7.71 KB, patch)
2004-01-25 21:00 UTC, Robin Breathe
no flags Details | Diff
dovecot-0.99.10.4_2.diff (13.01 KB, patch)
2004-01-26 17:55 UTC, Robin Breathe
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Breathe 2004-01-25 21:00:36 UTC
Updates:
 - Fix build on -CURRENT following deprecation of EAI_NODATA (see RFC 3493)
 - Use PORTDOCS macro
 - Use OPTIONS macro for 'make config'
 - USE_RC_SUBR

Fix: 1) Delete ports/mail/dovecot/files/dovecot.sh.sample

2) Apply the following diff against dovecot-0.99.10.4_1:
Comment 1 Sergei Kolobov freebsd_committer 2004-01-25 21:39:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sergei

Take.
Comment 2 Robin Breathe 2004-01-26 17:55:27 UTC
Here's an updated patch.

Delete pkg-plist and files/dovecot.sh.sample

Updates:
  * Fix build on -CURRENT following deprecation of EAI_NODATA (see RFC 3493),
    with a portable patch (submitted to author).
  * Use PORTDOCS macro
  * Use OPTIONS macro for 'make config'
  * USE_RC_SUBR
  * Use PLIST_DIRS/PLIST_FILES macros instead of pkg-plist
  * Various whitespace amendments

- Robin
Comment 3 Sergei Kolobov freebsd_committer 2004-02-01 16:01:39 UTC
State Changed
From-To: open->closed

Committed, thanks!